microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Get an agent invocation
GET
/agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}
Retrieves the invocation with the given ID. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Elérési útvonal paraméterei
agent_name
string
kötelező
The name of the agent.
invocation_id
string
kötelező
The unique identifier of the invocation.
Fejlécparaméterek
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Válaszok
The request has succeeded.
Fejlécek
x-agent-session-id
string
kötelező
Session ID for this invocation. Returns the session ID associated with the invocation.
Törzs
Content-Type: */*
Kérés
GET /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id} HTTP/1.1
Válasz
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json